Bug 800809 - No error message is provided when Guvnor designer cannot import process definition
No error message is provided when Guvnor designer cannot import process defin...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 05:25 EST by Radovan Synek
Modified: 2012-05-15 02:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
process definition 2 (2.69 KB, application/octet-stream)
2012-03-07 05:25 EST, Radovan Synek
no flags Details
updated error message (15.08 KB, image/png)
2012-03-14 15:49 EDT, Tihomir Surdilovic
no flags Details

  None (edit)
Description Radovan Synek 2012-03-07 05:25:01 EST
Created attachment 568229 [details]
process definition 2

Only empty error dialog appears without any information what is wrong about process definition. 


Steps to Reproduce:
1. Start the Guvnor, create new BPMN2 process.
2. Choose "Import from BPMN2" in BPMN designer and load first process
definition - attachment 567917 [details] (BPMNShape element is missing for dataObject element).
3. See the empty error window (attachment 567919 [details])

another example is attached to this bug report (timeDuration element without type="formalDefinition") - import results in the same empty error window.
Comment 1 Tihomir Surdilovic 2012-03-14 15:48:40 EDT
Error message has been changed (see attachment).
Comment 2 Tihomir Surdilovic 2012-03-14 15:49:07 EDT
Created attachment 570086 [details]
updated error message
Comment 3 Ryan Zhang 2012-03-21 06:07:02 EDT
Please verify this issue on ER5.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.